plugins {
    id 'com.android.library'
}

def SourcePath = 'src/main/'

android {
    namespace "master.flame.danmaku"
    compileSdkVersion AppCompileSdkVersion as int
    buildToolsVersion AppBuildToolsVersion
    defaultConfig {
        minSdkVersion AppMinSdkVersion as int
        targetSdkVersion AppTargetSdkVersion as int
        versionCode AppCode as int
        versionName AppVersion
    }

    sourceSets {
        main {
            manifest.srcFile "${SourcePath}AndroidManifest.xml"
            java.srcDirs = ["${SourcePath}java"]
            jniLibs.srcDirs = ["${SourcePath}libs"]
        }
        androidTest.setRoot("${SourcePath}../androidTest")
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_7
        targetCompatibility JavaVersion.VERSION_1_7
    }
}
if (rootProject.file('gradle/gradle-mvn-push.gradle').exists()) {
    apply from: rootProject.file('gradle/gradle-mvn-push.gradle')
}
if (rootProject.file('gradle/gradle-bintray-upload.gradle').exists()) {
    apply from: rootProject.file('gradle/gradle-bintray-upload.gradle')
}